%define anolis_release 1
%define python3_pkgversion 38
%define python3_bin python3.8

%global srcname threadpoolctl

Name: python-%{srcname}
Version: 2.0.0
Release: %{anolis_release}%{?dist}
Summary: Thread-pool Controls
License: BSD

URL: https://github.com/joblib/threadpoolctl
Source0: %{pypi_source}

BuildArch: noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-rpm-macros

%global _description %{expand:
Python helpers to limit the number of threads used in the 
threadpool-backed of common native libraries used for scientific computing 
and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size can be useful in 
workloads that involve nested parallelism so as to mitigate 
oversubscription issues.}     

%description %_description

%package -n python%{python3_pkgversion}-%{srcname}
Summary: %{summary}

%description -n python%{python3_pkgversion}-%{srcname}
%_description

%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary: Documentation files for python%{python3_pkgversion}-%{srcname}
Requires:  python%{python3_pkgversion}-%{srcname} = %{version}-%{release}
BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{srcname}-doc
The python%{python3_pkgversion}-%{srcname}-doc package contains documentation files for python%{python3_pkgversion}-%{srcname}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%{_bindir}/%{python3_bin} setup.py build

%install
%{_bindir}/%{python3_bin} setup.py install --root=%{buildroot}

%if %{with check}
%check
pytest -v
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%pycached %{python3_sitelib}/threadpoolctl.py
%{python3_sitelib}/threadpoolctl*egg-info

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc README.md multiple_openmp.md

%changelog
* Wed Dec 07 2022 happy_orange <songnannan@linux.alibaba.com> - 3.0.1-1
- Init pacakge from upstream
